food 005.jpg=Steaks flipped. Yum! Rare in the middle and cooked on the outside!
food 002.jpg=
food 001.jpg=Just started. Look how big they are compared to the beer bottle!
food 003.jpg=Barely fit on the grill!
food 004.jpg=Alex cooking the steaks!
